Blackboard Knowledge Wiki

Knowledge Wiki logo

Blackboard Learning System Vista & CE Browser Tuneup

Skip to end of metadata
Go to start of metadata
To Determine your version of Vista/CE: Go to the Entry Page of your Blackboard server and click Check Browser. Your version of Blackboard displays at the top of the Browser Check screen.


Supported Browser Pages



Vista 8.0 and Campus Edition 8.0
Vista 4.2 and Campus Edition 6.2
Vista 4.1 and Campus Edition 6.1
Vista 4.0 and Campus Edition 6.0
Vista 3
Campus Edition 4.1



Solutions to Common Browser problems.

1. Make sure the Java Runtime Environment is installed

You will need to have the Sun Microsystems Java Runtime Environment (JRE) installed in order for certain areas of Vista and CE to function properly. Please visit the Sun website to download the latest version.

If, while troubleshooting, you are having difficulty removing older versions of the JRE please visit Sun's support site.

2. Make sure that Javascript is enabled in the browser

Javascript is enabled by default on all supported browsers.  However, if you encounter problems with Vista/CE please check your browser settings to make sure that Javascript is enabled. FirefoxInternet ExplorerSafari

3. Make sure that cookies from third parties are allowed.

Third party cookies are allowed by default on all supported browsers.  If you experience problems staying logged in to Vista/CE please check your browser settings to make sure you allow third party cookies. Firefox, Internet Explorer , Safari

4. Pop-up blockers

While using Vista/CE, if you are unable to view discussion postings, quiz windows, and download links, then you may need to disable pop-up blocking for your Vista/CE website. Firefox Internet Explorer Safari

5. Third Party Plug-ins

Some content within courses may require the installation of third party plug-ins such as Adobe Flash, Windows Media Player, Realplayer, and many others. In each case there should be a notification and link informing you that you need to install a new plug-in. Be careful that you only install trusted plug-ins that are necessary for the course content. Malicious plug-ins can be dangerous to your computer.



If you would like to know more and have questions, please visit the Ask Dr. C Browser Discussion forum. You can compare notes on supported and unsupported browsers in this client-driven forum. For general questions and discussions you can search Ask Dr. C


Enter labels to add to this page:
Please wait 
Looking for a label? Just start typing.